Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class Domain

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              com.hp.hpl.jena.graph.query.Domain

All Implemented Interfaces:
  IndexValues, java.lang.Iterable, java.util.Collection, java.util.List

    public final class Domain

extends java.util.AbstractList
implements IndexValues

A Domain is an answer to a Binding query. It satisfies the List interface so that casual users don't have to worry about its special features - for them, it is immutable (they only ever get to see Domains that have emerged from the query process).

Author:
  kers

Constructor Summary
`Domain(int size)` Initialise this Domain with `size` null slots.
`Domain(Node[] value)` Initialise a Domain with a copy of a Node value array.

Method Summary
`Domain` | `copy()`
`boolean` | `equals(java.lang.Object x)`
`java.lang.Object` | `get(int i)` Answer the value at `index`.
`Node` | `getElement(int i)`
`void` | `setElement(int i, Node x)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### Domain

    public Domain(Node[] value)

  Initialise a Domain with a copy of a Node value array.

### Domain

    public Domain(int size)

  Initialise this Domain with `size` null slots.

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### get

    public java.lang.Object get(int i)

  Description copied from interface: `IndexValues`
  Answer the value at `index`.

  Specified by:
    `get` in interface `IndexValues`
  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`

### setElement

    public void setElement(int i,
                           Node x)

### getElement

    public Node getElement(int i)

### copy

    public Domain copy()

### equals

    public boolean equals(java.lang.Object x)

  Specified by:
    `equals` in interface `java.util.Collection`
  Specified by:
    `equals` in interface `java.util.List`
  Overrides:
    `equals` in class `java.util.AbstractList`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP